View Issue Details

IDProjectCategoryView StatusLast Update
0006608MediaMonkey (current)Podcastspublic2010-12-22 00:19
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006608: Updating podcast progress bar is no longer needed
DescriptionAs discussed offline there are 2 issues with the old "Updating podcast..." progress bar

1. It is no longer needed for downloading of individual episodes, because the duplicate progress is under the "Downloads" node
2. The "Updating podcast..." could be eliminated entirely, because it takes usually several seconds to check the feed, or at least changed from current
"Updating podcast... <Podcast> - <Episode>" to "Updating podcast... <Podcast>" so that it doesn't blink when changing <Episode> (usually 30 times in a second) when parsing the feed XML.
TagsNo tags attached.
Fixed in build1321

Activities

jiri

2010-10-29 23:29

administrator   ~0021074

Reminder sent to: rusty

Rusty, what's your opinion? I'd eliminate both.

rusty

2010-10-31 01:33

administrator   ~0021077

I agree with the idea, if we can deal with the following issues: The current progress bar gives an indication of the podcasts' download status when the user is in the Podcast Subscriptions node so they're able to see how far along progress is in terms of the individual podcast. It also shows the full list of podcasts to be downloaded, so the user has an idea of what else is coming up.

A simple solution to this would be:
a) The 'Download' node should appear as a persistent tree node if tracks are being downloaded (bug 0006504)
b) The 'Download' node should show all podcasts in the download queue instead of just the track that is currently being downloaded

Note: When the number of downloads reaches 0, the numeric indicator to the right of the download node can be deleted (i.e. it should only appear if there are > 0 downloads).

Ludek

2010-11-02 15:09

developer   ~0021123

Last edited: 2010-11-02 15:34

View 3 revisions

Fixed in build 1321.

Note that the "Updating podcast... <Podcast>" progress is left so that user could see that MM is updating podcasts and could terminate the task (it can take up a minute for several large podcast feeds)

peke

2010-12-22 00:19

developer   ~0022028

Verified 1337